Subject: Re: [Detnet] DetNet and IPv4

From: "Grossman, Ethan A." <[email-masked]>
Date: Wed, 17 Jan 2018 19:13:13 +0000

Thanks Patrick and Jean-Yves for this input. I would like to hear from the other use case authors (and anyone else) about whether you feel that lack of an "IPv4-compatible" solution (for lack of a better term) would be a deal-breaker for your use case. I suppose we also need to distinguish whether this applies to the island-to-island interconnect and/or the end-to-end.  
And if you can comment on any of the proposed solutions for this mentioned so far, so much the better. 
Regarding my use case (pro audio/video) I will ask around and see if I get any consensus among the people I know. 
Ethan.

-----Original Message-----
From: detnet [mailto:[email-masked]] On Behalf Of Patrick Wetterwald (pwetterw)
Sent: Friday, November 17, 2017 1:54 AM
To: Le boudec Jean-Yves <[email-masked]>; [email-masked]
Subject: Re: [Detnet] DetNet and IPv4

Don’t give the impression that utilities will stay forever on IPv4.

Recent utility’s RFPs are asking for IPv6. 

Also, some utilities with the game of mergers and acquisitions have now to connect IPv4 networks with private addresses to their common control centers. Their IT departments are under pressure.

Patrick

On 17/11/2017, 03:55, "detnet on behalf of Le boudec Jean-Yves" <[email-masked] on behalf of [email-masked]> wrote:

    A small factual correction: National Instrument supports IPv6.  But it is true that all smart grid software I know of uses IPv4. Moving to IPv6 involves re-coding, with some potential difficulties on the network side (in IP multicast for example) and with no benefit since such networks use private IPv4 addresses. 
    
    JY 
    
    > Le 17 nov. 2017 à 07:26, Lou Berger <[email-masked]> a écrit :
    > 
    > I personally have been assuming that IPv4 would be supported by
    > (a) TSN in non-MPLS networks, this includes over DetNet routers interconnected by TSN (or similar L2), and
    > (b) over DetNet/MPLS  -- probably using some form of island interconnect
    > 
    > WRT PREF: (a) implies PREF on a per TSN/L2 basis and (b) implies PREF only within the DetNet/MPLS domain.
    > 
    > Lou
    > 
    >> On 11/17/2017 6:53 AM, Tim Chown wrote:
    >> Hi,
    >>> On 16 Nov 2017, at 22:38, Grossman, Ethan A. <[email-masked]> wrote:
    >>> 
    >>> Hi All,
    >>> I heard in conversations yesterday a few things which I am concerned about (from a use case point of view) regarding DetNet and MPLS, IPv6 and IPv4. Probably these things are well known to network professionals, but are news to me, or maybe I misunderstood. So if anyone wants to correct or comment on any of these impressions please do. And of course there is a question to be answered…
    >>>    • Although MPLS (and variants) are often available in today’s routers, apparently the skillset of configuring a network of MPLS routers is far less common than for IPv4. Presumably IPv6 falls somewhere in between on this scale. So the notion of our target audience (i.e. the implementers of our use cases) setting up an MPLS network for a factory or a building or a mine or a smart grid or an audio/video facility seems like it isn’t going to be an easy sell. Presumably one reason for this is the complexity of configuring the network. Mitigating that somewhat is the notion that since we are not going for interop with existing implementations, perhaps we could “cut to the chase” and define some configuration process or interface that would be simpler than the existing ones?
    >>>    • Perhaps IPv6 might be easier in that regard, however it was pointed out that most industrial controllers (for example National Instruments, and probably existing equipment in most of our other use cases) don’t support IPv6, and if they do, apparently they don’t interoperate well with existing IPv4 plant. And the motivation in most of our areas to adopt IPv6 hasn’t been there, presumably because they don’t need extra address space and don’t perceive any value in exchange for the effort and pain involved.
    >>>    • So the question was raised, why can’t we have an IPv4 solution, i.e. without involving MPLS or IPv6? It could still use a central controller, what part of the puzzle is missing? Clearly we need some notion of Flow ID and Sequence number, and it doesn’t seem feasible to add such things to IPv4. But is there some way we can work around that?
    >>>    • As Norm pointed out in the session, we have been spending a lot of time on PREF, but what if we just went for the basics of no congestion and low latency – could we do it then? Is it worth considering that as an interim solution, figuring it will probably serve many use cases, and leave the ultra high reliability stuff as follow-on? I mean obviously PREF is important, but if leaving it out of a first cut simplifies things enough and served enough use cases in the nearer term, maybe worth some backtracking to get to the full solution later?
    >>>    • Or how about IPv4 as an alternate solution, since we have discussed separate implementations for MPLS and IPv6? Maybe IPv4, with “whatever performance/features we can get out of it” would serve some purpose, particularly in the near term?
    >>> Anyway I’m just saying that I hadn’t realized before that this could be as much of an impediment to adoption as it is sounding to me now like it is, which to me seems like a “use case issue” so I’m bringing it up. I mean it would be less than ideal to develop a whole solution which is too unwieldy for our customers to adopt.
    >>> Ethan.
    >> If you’re suggesting an IPv4-only solution, you’re running up against https://www.iab.org/2016/11/07/iab-statement-on-ipv6/.
    >> And there’s interesting new IPv6-only video distribution models to which DetNet could be applied, like http://6cn.io/.
    >> Tim
    >> _______________________________________________
    >> detnet mailing list
    >> [email-masked]
    >> https://www.ietf.org/mailman/listinfo/detnet
    > 
    > _______________________________________________
    > detnet mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/detnet
    _______________________________________________
    detnet mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/detnet

_______________________________________________
detnet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/detnet